[tool.coverage.run]
branch = true
source = ["concurrently.py", "test_concurrently.py"]

[tool.coverage.report]
show_missing = true
skip_covered = true
fail_under = 100

[tool.pytest.ini_options]
filterwarnings = ["error"]

[tool.ruff.lint]
select = ["D", "E", "F"]
ignore = [
    "D200",  # unnecessary-multiline-docstring
    "D203",  # incorrect-blank-line-before-class
    "D205",  # missing-blank-line-after-summary
    "D211",  # blank-line-before-class
    "D212",  # multi-line-summary-first-line
]
